ActionController::Routing::Routes.draw do |map|
  map.with_options :controller => 'boards_watchers' do |bw_routes|
    bw_routes.with_options :conditions => {:method => :get} do |bw_views|
      bw_views.connect 'projects/:project_id/boards/:board_id/manage', :action => 'manage'
      bw_views.connect 'projects/:project_id/boards/:board_id/manage_topic', :action => 'manage_topic'
      bw_views.connect 'projects/:project_id/boards/:board_id/manage_topic_remote', :action => 'manage_topic_remote'
      bw_views.connect 'projects/:project_id/wiki/manage_watchers', :action => 'manage_wiki'
      bw_views.connect 'issues_watchers_bulk', :action => 'issues_watchers_bulk'
      bw_views.connect 'watch_bulk_issues', :action => 'watch_bulk_issues'
    end
    bw_routes.with_options :conditions => {:method => :post} do |bw_views|
      bw_views.connect 'projects/:project_id/boards/:board_id/manage', :action => 'manage'
      bw_views.connect 'projects/:project_id/boards/:board_id/manage_topic', :action => 'manage_topic'
      bw_views.connect 'projects/:project_id/boards/:board_id/manage_topic_remote', :action => 'manage_topic_remote'
      bw_views.connect 'projects/:project_id/wiki/manage_watchers', :action => 'manage_wiki'
      bw_views.connect 'issues_watchers_bulk', :action => 'issues_watchers_bulk'
      bw_views.connect 'watch_bulk_issues', :action => 'watch_bulk_issues'
    end
  end
end
